/**
 * 资源
 * @author luotao 2017-12-11
 */
import { IKV } from "./IKV";
/** 资源类型枚举 */
declare enum ResourceTypeEnum {
    /** 区域 */
    AREA = 1,
    /** 分局 */
    SUBAREA = 3,
    /** 站点 */
    STATION = 5,
    /** 台区 */
    PIECE = 6,
    /** 光缆段 */
    FIBER_SEGMENT = 8,
    /** 标签 */
    LABEL = 10,
    /** 电房 */
    ELECTRICAL_ROOM = 11,
    /** 机房 */
    MACHINE_ROOM = 12,
    /** 门 */
    DOOR = 20,
    /** 空调 */
    AIR_CONDITIONER = 21,
    /** 螺丝钉 */
    SCREW = 22,
    /** 接线端口 */
    TERMINAL = 23,
    /** 窗 */
    WINDOW = 24,
    /** 机架 */
    RACK = 50,
    /** 盒式 */
    BOX = 55,
    /** 框式 */
    SHELF = 60,
    /** ODF */
    ODF = 61,
    /** 槽位 */
    SLOT = 65,
    /** 板卡 */
    CARD = 70,
    /** ODM */
    ODM = 71,
    /** 端口 */
    PORT = 75,
    /** 输电线 */
    POWER_LINE = 101,
    /** 塔杆 */
    TOWER_ROD = 102,
    /** 设备 */
    EQUIPMENT = 200,
    /** OLT */
    OLT = 200,
    /** DTU */
    DTU = 201,
    /** ONU */
    ONU = 202,
    /** PON */
    PON = 203,
    /** SIM */
    SIM = 204,
    /** NO_RUN_DTU */
    NO_RUN_DTU = 205,
    /** 拓扑 */
    TOPO = 300,
    /** 虚拟节点 */
    VIRTUAL_NODE = 301,
    /** 链路 */
    LINK = 350,
    /** POSLINK_ANCESTOR */
    POSLINK_ANCESTOR = 350,
    /** DTU链路 */
    DTU_LINK = 351,
    /** POSLINK_CHILDREN */
    POSLINK_CHILDREN = 352,
    /** 传输段 */
    TRANS_SEGMENT = 360,
    /** 电缆交接箱 */
    SPICE_BOX = 401,
    /** 箱变 */
    BOX_STATION = 402,
    /** 配电房 */
    DISTRIBUTION = 403,
    /** 配电房 */
    SWITCH = 404,
    /** 户外开关箱 */
    OUT_SWITCH = 405,
    /** 光分歧接头 */
    OPTICAL_BRANCH_CONNECTOR = 1000,
    /** 光直接头 */
    OPTICAL_DIRECT_CONNECTOR = 1001,
    /** POS */
    POS = 1002,
    /** 逻辑机盘端口 */
    LOGIC_CARD_PORT = 1100,
    /** 逻辑PON端口 */
    LOGIC_PON_PORT = 1101,
    /** 设备端口 */
    EQUIPMENT_PORT = 2000,
    /** ODF端口 */
    ODF_PORT = 2010
}
/** 资源类型 */
declare const RESOURCE_TYPE: {
    [K in Exclude<keyof typeof ResourceTypeEnum, "prototype">]: IKV<ResourceTypeEnum>;
};
export { RESOURCE_TYPE, ResourceTypeEnum };
