/**
 * @author luotao 2017-12-08
 */
import { IdNameDTO, IdNameStatusDTO } from "../../index";
import { StatusEnum } from "../../../enum/index";
import { SecurityQuestionDTO } from "./SecurityQuestionDTO";
/**
 * 账户
 * @backend ytd.iam.admin.dto.AccountDetailDto
 */
declare class AccountDTO extends IdNameStatusDTO {
    static readonly className: string;
    /** 应用 */
    app: Array<IdNameDTO>;
    /** 安全问题 */
    security: Array<SecurityQuestionDTO>;
    /** 角色列表 */
    role: Array<string>;
    main: boolean;
    mobile: string;
    email: string;
    longest: boolean;
    comeTime: number;
    loseTime: number;
    /** 是否是系统管理员 */
    admin: boolean;
    constructor(dto?: {
        id?: string | null;
        name?: string | null;
        status?: StatusEnum | null;
        app?: Array<IdNameDTO> | null;
        security?: Array<SecurityQuestionDTO> | null;
        role?: Array<string> | null;
        main?: boolean | null;
        mobile?: string | null;
        email?: string | null;
        longest?: boolean | null;
        comeTime?: number | null;
        loseTime?: number | null;
        admin?: boolean | null;
    } | null);
    /**
     * @deprecated
     */
    static from(tb: AccountDTO | null): AccountDTO;
    /**
     * @deprecated
     */
    static fromArray(tbs: AccountDTO[]): AccountDTO[];
}
export { AccountDTO };
