/**
 * @author luotao 2017-12-08
 */
import { IdNameCodeDTO, IdNameDTO, KeyValueDTO } from "../../index";
import { AccountDTO } from "./AccountDTO";
import { AppDTO } from "./AppDTO";
/**
 * 应用账户
 * @backend ytd.iam.admin.dto.AppAccountDto
 */
declare class AppAccountDTO extends IdNameDTO {
    static readonly className: string;
    /** 应用 */
    app: AppDTO;
    /** 组织机构 */
    org: IdNameDTO;
    /** 用户 */
    user: IdNameDTO;
    /** 帐号 */
    account: IdNameDTO;
    /** 是否是超级管理员 */
    admin: boolean;
    /** 电话号码 */
    mobile: string;
    /** 标签 */
    tags: Array<string>;
    /** 账户信息 */
    accountDetailDto: AccountDTO;
    /** 角色列表 */
    roles: Array<IdNameCodeDTO>;
    /** 扩展属性 */
    extProperty: Array<KeyValueDTO<string, string>>;
    constructor(dto?: {
        id?: string | null;
        name?: string | null;
        app?: AppDTO | null;
        org?: IdNameDTO | null;
        user?: IdNameDTO | null;
        account?: IdNameDTO | null;
        admin?: boolean | null;
        mobile?: string | null;
        tags?: Array<string> | null;
        roles?: Array<IdNameCodeDTO> | null;
        accountDetailDto?: AccountDTO | null;
        extProperty?: Array<KeyValueDTO<string, string>> | null;
    } | null);
}
export { AppAccountDTO };
