import { IdNameCodeNoteStatusDTO } from "../../index";
import { StatusEnum } from "../../../enum/index";
/**
 * 菜单
 * @backend ytd.iam.admin.dto.MenuDto
 */
declare class MenuDTO extends IdNameCodeNoteStatusDTO {
    static readonly className: string;
    /** 对应路由名称 */
    url: string;
    /** 排序序号 */
    order: number;
    /** 上级菜单ID */
    parentId: string;
    /** 应用ID */
    appId: string;
    /** 下级菜单 */
    child: Array<MenuDTO>;
    /** 菜单图标 */
    icon: string;
    /** 点击菜单后，是否响应路由的激活状态 */
    canActive: boolean;
    constructor(dto?: {
        id?: string | null;
        name?: string | null;
        code?: string | null;
        note?: string | null;
        status?: StatusEnum | null;
        url?: string | null;
        order?: number | null;
        parentId?: string | null;
        appId?: string | null;
        child?: Array<MenuDTO> | null;
        icon?: string | null;
    } | null);
}
export { MenuDTO };
