/**
 * @author luotao 2017-12-21
 */
import { IdNameDTO } from "../../index";
import { WorkflowStatusEnum } from "../../../enum/index";
import { WorkflowDTO } from "./WorkflowDTO";
/**
 * 流程实例
 * @backend ytd.iam.workflow.dto.InstanceDto
 */
declare class WorkflowInstanceDTO extends IdNameDTO {
    static readonly className: string;
    /** 状态 */
    status: WorkflowStatusEnum;
    /** 备注 */
    notes: string;
    /** 单号 */
    no: string;
    createId: string;
    updateId: string;
    /** 流程ID */
    wfId: string;
    /** 创建时间 */
    createTs: number;
    /** 结束时间 */
    endTs: number;
    /** 应用ID */
    appId: string;
    /** 业务对象 */
    bo: WorkflowDTO.BO;
    /** 域范围 */
    scope: string;
    /** 发起人，账户名 */
    sponsor: string;
    constructor(dto?: {
        id?: string | null;
        name?: string | null;
        status?: WorkflowStatusEnum | null;
        notes?: string | null;
        no?: string | null;
        createId?: string | null;
        updateId?: string | null;
        wfId?: string | null;
        createTs?: number | null;
        endTs?: number | null;
        appId?: string | null;
        bo?: WorkflowDTO.BO | null;
        scope?: string | null;
        sponsor?: string | null;
    } | null);
    /**
     * @deprecated
     */
    static from(tb: WorkflowInstanceDTO | null): WorkflowInstanceDTO;
    /**
     * @deprecated
     */
    static fromArray(tbs: WorkflowInstanceDTO[]): WorkflowInstanceDTO[];
}
export { WorkflowInstanceDTO };
