/**
 * @author luotao 2017-12-26
 */
import { IdDTO, IdNameStatusDTO } from "../../index";
import { StatusEnum } from "../../../enum/index";
import { WorkflowDTO } from "./WorkflowDTO";
import { WorkflowInstanceDTO } from "./WorkflowInstanceDTO";
/**
 * 流程任务
 * @backend ytd.iam.workflow.dto.TaskDto
 */
declare class WorkflowTaskDTO extends IdDTO {
    static readonly className: string;
    /** 流程定义 */
    wf: WorkflowDTO;
    /** 流程实例 */
    instance: WorkflowInstanceDTO;
    /** 任务 */
    task: WorkflowTaskDTO.TaskItemDTO;
    constructor(dto?: {
        id?: string | null;
        wf?: WorkflowDTO | null;
        instance?: WorkflowInstanceDTO | null;
        task?: WorkflowTaskDTO.TaskItemDTO | null;
    } | null);
    /**
     * @deprecated
     */
    static from(tb: WorkflowTaskDTO | null): WorkflowTaskDTO;
    /**
     * @deprecated
     */
    static fromArray(tbs: Array<WorkflowTaskDTO>): Array<WorkflowTaskDTO>;
}
declare namespace WorkflowTaskDTO {
    /**
     * 任务
     * @backend ytd.iam.workflow.dto.TaskDto.TaskItem
     */
    class TaskItemDTO extends IdNameStatusDTO {
        static readonly className: string;
        /** 备注 */
        notes: string;
        /** 操作者 */
        appAccountId: string;
        /**  */
        message: string;
        /** 任务在流程定义中的节点ID */
        nodeId: string;
        /** 来的任务ID */
        fromId: string;
        /** 去的任务ID */
        toId: string;
        /** 记录流程定义中的边 */
        edgeId: string;
        /** 是否可以取回 */
        take: boolean;
        /** 任务是否完成 */
        finished: boolean;
        /**  */
        path: WorkflowDTO.Path;
        /** 业务对象 */
        bo: WorkflowDTO.BO;
        /** 创建时间 */
        createTs: number;
        /** 启动时间 */
        startTs: number;
        /** 结束时间 */
        endTs: number;
        /** 是否处于可以操作的状态 */
        operStatus: boolean;
        /** 是否已经签入 */
        signIn: boolean;
        constructor(dto?: {
            id?: string | null;
            name?: string | null;
            status?: StatusEnum | null;
            notes?: string | null;
            appAccountId?: string | null;
            message?: string | null;
            nodeId?: string | null;
            fromId?: string | null;
            toId?: string | null;
            edgeId?: string | null;
            take?: boolean | null;
            finished?: boolean | null;
            path?: WorkflowDTO.Path | null;
            bo?: WorkflowDTO.BO | null;
            createTs?: number | null;
            startTs?: number | null;
            endTs?: number | null;
            operStatus?: boolean | null;
            signIn?: boolean | null;
        } | null);
        /**
         * @deprecated
         */
        static from(tb: TaskItemDTO | null): TaskItemDTO;
        /**
         * @deprecated
         */
        static fromArray(tbs: TaskItemDTO[]): TaskItemDTO[];
    }
}
export { WorkflowTaskDTO };
