/**
 * @author luotao 2018-06-13
 */
import { IdNameDTO } from "../../index";
/**
 * @backend ytd.pdnms.gis.dto.Layer
 */
declare class LayerDTO extends IdNameDTO {
    static readonly className: string;
    /**
     * 使用一直显示
     */
    allZoom: boolean;
    /**
     * 最小比例
     */
    minZoom: number;
    /**
     * 最大比例
     */
    maxZoom: number;
    /**
     * 是否是背景图层
     */
    background: boolean;
    /**
     * 图层类型；
     *     1. 点
     *     2. 线
     *     3. 面
     * background = false 时生效；
     */
    geomType: number;
    /**
     * 显示叠加顺序；
     * 值越大显示在越上层；
     */
    sequence: number;
    /**
     * 标签
     */
    tag: string;
    /**
     * 背景图层填写地址（url），业务图层填写表名；
     */
    key: string;
    /**
     * 一级分组
     */
    group1: string;
    /**
     * 二级分组
     */
    group2: string;
    constructor(dto?: {
        id?: string | null;
        name?: string | null;
        allZoom?: boolean | null;
        minZoom?: number | null;
        maxZoom?: number | null;
        background?: boolean | null;
        geomType?: number | null;
        sequence?: number | null;
        tag?: string | null;
        key?: string | null;
        group1?: string | null;
        group2?: string | null;
    } | null);
}
export { LayerDTO };
