/**
 * @author luotao 2018-07-26
 */
import { StatusEnum } from "../../../enum/index";
import { EdgeStyleMO } from "./EdgeStyleMO";
import { ElementMO } from "./ElementMO";
/**
 * 链路模型
 * @backend ytd.pndms.graph.model.Edge
 */
declare class EdgeMO extends ElementMO {
    static readonly className: string;
    fromId: string;
    toId: string;
    /**
     * 0：未分解
     * 1：分解
     */
    disaggregation: number;
    disaggregation_info: string;
    resourceType: string;
    style: EdgeStyleMO;
    /** 事件等级 */
    eventLevel: number;
    /** 敷设方式 */
    pave: string;
    fromNetCode: string;
    toNetCode: string;
    speed: string;
    constructor(dto?: {
        id?: string | null;
        name?: string | null;
        code?: string | null;
        note?: string | null;
        status?: StatusEnum | null;
        pinyin?: string | null;
        markId?: string | null;
        scope?: string | null;
        pcrmsResId?: Array<string> | null;
        graphId?: string | null;
        label?: string | null;
        resourceId?: string | null;
        admin?: boolean | null;
        fromId?: string | null;
        toId?: string | null;
        disaggregation?: number | null;
        disaggregation_info?: string | null;
        resourceType?: string | null;
        style?: EdgeStyleMO | null;
        eventLevel?: number | null;
        pave?: string | null;
        fromNetCode?: string | null;
        toNetCode?: string | null;
        speed?: string | null;
    } | null);
}
export { EdgeMO };
