/**
 * @author luotao 2016-12-16
 */
import { IService } from "../../IService";
import { HttpClient } from "../../HttpClient";
import { ActionDTO, ActionPopedomDTO } from "../../../dto/index";
import { SaveActionPopedomRO } from "../../../ro/index";
/**
 * 操作权限
 * @backend ytd.iam.admin.api.ActionPopedomService
 */
declare class ActionPopedomService implements IService {
    httpClient: HttpClient;
    constructor(httpClient: HttpClient);
    /**
     * 保存操作权限
     * @backend ytd.iam.admin.api.ActionPopedomService#save
     *
     * @param {SaveActionPopedomRO} saveActionPopedomRO
     */
    updateActionPopedom(saveActionPopedomRO: SaveActionPopedomRO): Promise<ActionPopedomDTO>;
    /**
     * 列表查询操作权限，根据角色ID
     * @backend ytd.iam.admin.api.ActionPopedomService#findAll
     *
     * @param roleId 角色ID
     * @returns {Promise<Array<ActionPopedomDTO>>}
     */
    listActionPopedomByRoleId(roleId: string): Promise<Array<ActionPopedomDTO>>;
    /**
     * 列表查询操作，根据应用ID和应用账户ID
     * @backend ytd.iam.admin.api.ActionPopedomService#findAction2
     *
     * @param appId 应用ID
     * @param appAccountId 应用账户ID
     * @returns {Promise<Array<ActionDTO>>}
     */
    listAction(appId: string, appAccountId: string): Promise<Array<ActionDTO>>;
    /**
     * 列表查询未授权的动作权限
     * @backend ytd.iam.admin.api.ActionPopedomService#findDisableAction
     *
     * @returns {Promise<Array<ActionDTO>>}
     */
    listUnauthorizedAction(): Promise<Array<ActionDTO>>;
}
export { ActionPopedomService };
