/**
 * @author luotao 2017-12-11
 */
import { AppAccountDTO, AppAccountRoleDTO, PageDTO } from "../../../dto/index";
import { SaveAppAccountRoleRO } from "../../../ro/index";
import { HttpClient } from "../../HttpClient";
import { IService } from "../../IService";
/**
 * 应用账户角色
 * @backend ytd.iam.admin.api.AppAccountRoleService
 */
declare class AppAccountRoleService implements IService {
    httpClient: HttpClient;
    constructor(httpClient: HttpClient);
    /**
     * 分页查询应用账户角色
     * @backend ytd.iam.admin.api.AppAccountRoleService#findAll
     *
     * @param appId 应用ID
     * @param pageIndex
     * @param pageSize
     * @returns {Promise<PageDTO<AppAccountRoleDTO>>}
     */
    pageAppAccountRole(appId: string, pageIndex: number, pageSize: number): Promise<PageDTO<AppAccountRoleDTO>>;
    /**
     * 分页查询应用账户角色：根据组织机构和用户名称
     * @backend ytd.iam.admin.api.AppAccountRoleService#findByKey
     *
     * @param appId 应用ID
     * @param pageIndex
     * @param pageSize
     * @param orgId 组织机构ID
     * @param key
     * @returns {Promise<PageDTO<AppAccountRoleDTO>>}
     */
    pageAppAccountRoleByOrgAndKey(appId: string, pageIndex: number, pageSize: number, orgId: string, key: string): Promise<PageDTO<AppAccountRoleDTO>>;
    /**
     * 根据应用账户角色ID列表分页查询应用账户
     * @backend ytd.iam.admin.api.AppAccountRoleService#findAllByRoleIds
     *
     * @param roleIds
     * @param pageIndex
     * @param pageSize
     * @returns {Promise<PageDTO<AppAccountDTO>>}
     */
    pageAppAccount(roleIds: Array<string>, pageIndex: number, pageSize: number): Promise<PageDTO<AppAccountDTO>>;
    /**
     * 保存应用账户角色
     * @backend ytd.iam.admin.api.AppAccountRoleService#save
     *
     * @param {SaveAppAccountRoleRO} saveAppAccountRoleRO
     * @returns {Promise<string>}
     */
    updateAppAccountRole(saveAppAccountRoleRO: SaveAppAccountRoleRO): Promise<string>;
}
export { AppAccountRoleService };
