/**
 * @author luotao 2016-12-16
 */
import { IService } from "../../IService";
import { HttpClient } from "../../HttpClient";
import { DomainPopedomDTO } from "../../../dto/index";
import { SaveDomainPopedomRO } from "../../../ro/index";
/**
 * 领域权限
 * @backend ytd.iam.admin.api.DomainPopedomService
 */
declare class DomainPopedomService implements IService {
    httpClient: HttpClient;
    constructor(httpClient: HttpClient);
    /**
     * 添加领域权限
     * @backend ytd.iam.admin.api.DomainPopedomService#add
     *
     * @param {SaveDomainPopedomRO} saveDomainPopedomRO
     */
    addDomainPopedom(saveDomainPopedomRO: SaveDomainPopedomRO): Promise<DomainPopedomDTO>;
    /**
     * 编辑领域权限
     * @backend ytd.iam.admin.api.DomainPopedomService#update
     *
     * @param domainPopedomId 领域权限ID
     * @param {SaveDomainPopedomRO} saveDomainPopedomRO
     */
    updateDomainPopedom(domainPopedomId: string, saveDomainPopedomRO: SaveDomainPopedomRO): Promise<DomainPopedomDTO>;
    /**
     * 删除领域权限
     * @backend ytd.iam.admin.api.DomainPopedomService#delete
     *
     * @param domainPopedomId 领域权限ID
     */
    deleteDomainPopedom(domainPopedomId: string): Promise<string>;
    /**
     * 根据角色查询领域权限
     * @backend ytd.iam.admin.api.DomainPopedomService#findAll
     *
     * @param roleId 角色ID
     * @returns {Promise<DomainPopedomDTO[]>}
     */
    listDomainPopedomByRoleId(roleId: string): Promise<DomainPopedomDTO[]>;
    /**
     * 根据应用ID和应用账户ID查询领域权限
     * @backend ytd.iam.admin.api.DomainPopedomService#findDomain2
     *
     * @param appId 应用ID
     * @param appAccountId 应用账户ID
     * @returns {Promise<Array<string>>}
     */
    listDomainPopedom(appId: string, appAccountId: string): Promise<Array<string>>;
}
export { DomainPopedomService };
