/**
 * @author luotao 2016-11-17
 */
import { IService } from "../../IService";
import { HttpClient } from "../../HttpClient";
import { MenuDTO, MenuPopedomDTO } from "../../../dto/index";
import { SaveMenuPopedomRO } from "../../../ro/index";
/**
 * 菜单权限
 * @backend ytd.iam.admin.api.MenuPopedomService
 */
declare class MenuPopedomService implements IService {
    httpClient: HttpClient;
    constructor(httpClient: HttpClient);
    /**
     * 保存菜单权限
     * @backend ytd.iam.admin.api.MenuPopedomService#save
     *
     * @param {SaveDomainPopedomRO} saveMenuPopedomRO
     */
    updateMenuPopedom(saveMenuPopedomRO: SaveMenuPopedomRO): Promise<MenuPopedomDTO | null>;
    /**
     * 根据角色查询菜单权限树
     * @backend ytd.iam.admin.api.MenuPopedomService#findAll
     *
     * @param roleId 角色ID
     * @returns {Promise<MenuPopedomDTO[]>}
     */
    listMenuPopedomByRoleId(roleId: string): Promise<MenuPopedomDTO[]>;
    /**
     * 根据应用ID和应用账户ID查询菜单
     * @backend ytd.iam.admin.api.MenuPopedomService#findMenu2
     *
     * @param appId 应用ID
     * @param appAccountId 应用账户ID
     * @returns {Promise<MenuDTO[]>}
     */
    listMenu(appId: string, appAccountId: string): Promise<MenuDTO[]>;
}
export { MenuPopedomService };
