/**
 * @author luotao 2017-12-16
 */
import { FeatureCollection } from "geojson";
import { LayerDTO } from "../../../dto/index";
import { HttpClient } from "../../HttpClient";
import { IService } from "../../IService";
/**
 * 图层
 * @backend ytd.pdnms.gis.api.LayerService
 */
declare class LayerService implements IService {
    httpClient: HttpClient;
    constructor(httpClient: HttpClient);
    /**
     * 查询业务图层数据
     * @backend ytd.pdnms.gis.api.LayerService#geoJson
     *
     * @param layerId 图层ID
     * @param box 坐标范围
     * @param zoom 缩放比例
     */
    getBusinessLayerData(layerId: string | number, box: string, zoom: number): Promise<FeatureCollection>;
    /**
     * 查询背景图层列表
     *
     * @backend ytd.pdnms.gis.api.LayerService#background
     */
    listBackgroundLayer(): Promise<Array<LayerDTO>>;
    /**
     * 查询业务图层列表
     *
     * @backend ytd.pdnms.gis.api.LayerService#operation
     */
    listBusinessLayer(): Promise<Array<LayerDTO>>;
}
export { LayerService };
