/**
 * DOM工具
 */
declare class DOMUtil {
    /**
     * 获取 FullScreenChange 事件名称
     * @returns 事件名称
     */
    static getFullScreenChangeEventName(): string;
    /**
     * 使用 {@link Q.drawImage} 渲染 canvas
     *
     * @param drawImageFn Q.drawImage
     * @param key 图片注册名称、图片链接或者图片绘制对象
     * @param element canvas 画布，图片将绘制在此对象上
     * @param width canvas 元素宽度
     * @param height canvas 元素高度
     * @param style 绘制样式参数，包括填充色，阴影效果等
     */
    static drawCanvas(drawImageFn: Function, key: string | object, element: HTMLCanvasElement, width: number, height: number, style?: object): void;
    /**
     * 清除 canvas 画布内容
     * @param element 画布
     * @param width canvas 元素宽度
     * @param height canvas 元素高度
     */
    static clearCanvas(element: HTMLCanvasElement, width: number, height: number): void;
}
export { DOMUtil };
