/**
 * DTO 工具
 */
declare class DTOUtil {
    /**
     * 将后端返回的数据转换为前端 DTO
     * @param Ctor 要转换为的前端 DTO 类
     * @param obj 后端返回的数据对象
     * @returns 转换后的前端 DTO 对象
     */
    static from<T>(Ctor: {
        new (...args: Array<any>): T;
    }, obj?: any | null): T;
    /**
     * 将后端返回的数据转换为前端 DTO 数组
     * @param Ctor 要转换为的前端 DTO 类
     * @param objs 后端返回的数据对象数组
     * @returns 转换后的前端 DTO 对象数组
     */
    static fromArray<T>(Ctor: {
        new (...args: Array<any>): T;
    }, objs?: Array<any> | null): Array<T>;
}
export { DTOUtil };
