/**
 * 工具
 */
declare class Util {
    /**
     * 反转颜色
     * @param color
     */
    static invertColor(color: string): string;
    /**
     * 将 Base64 字符串转换为文件对象
     * @param base64Str Base64字符串
     * @param fileName 文件名
     * @param sliceSize 分割尺寸
     * @returns
     */
    static base64ToFile(base64Str: string, fileName: string, sliceSize?: number): File;
    /**
     * 加载文件
     * @param fileId 文件ID
     */
    static getFile(fileId: string): Promise<string>;
    /**
     * 加载CANVAS图标文件；
     * @param Q
     * @param fileId 文件ID
     * @returns
     */
    static getQuneeCanvasIcon(Q: any, fileId: string): Promise<Util.IQuneeIcon>;
    /**
     * 打开文件保存弹窗
     * @param fileId 文件ID
     */
    static openSaveFileDialog(fileId: string): void;
}
declare namespace Util {
    /**
     * 酷利图标对象
     */
    interface IQuneeIcon {
        /** 图标文件ID */
        id: string;
        draw: Function;
        width: number;
        height: number;
    }
}
export { Util };
